Subject: Re: pg_restore documentation and --create/--single-transaction limitation

From: Ashutosh Bapat <[email-masked]>
Date: Wed, 2 Apr 2025 16:46:30 +0530

On Mon, Mar 24, 2025 at 5:11 PM Ashutosh Bapat
<[email-masked]> wrote:
>
> Hi All,
> The pg_restore documentation usually mentions the pair of switches
> which can not be used together. However, it does not mention that
> --create and --single-transaction can not be used together. Here's a
> patch fixing the same.
>
> Looking for a precedence, I found that we have mentioned a similar
> limitation concerning --data-only and --schema-only only under
> --schema and not at both the sections. Maybe it's missing or we chose
> to mention it only at one place. But then I am not sure which one
> place I should use to mention the new limitation. So, I have added the
> note in the sections corresponding to both the switches so that a user
> reading either of them knows about the limitation.

Adding this to the next CF to get some attention. It will be good to
ship this doc fix with the PG 18 release though.

-- 
Best Wishes,
Ashutosh Bapat